Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.terminal
Class ansi

    java.lang.Object
      com.sshtools.daemon.terminal.BasicTerminal
          com.sshtools.daemon.terminal.ansi

All Implemented Interfaces:
  Terminal

public class ansi
extends BasicTerminal

DOCUMENT ME!

Field Summary

Fields inherited from class com.sshtools.daemon.terminal.BasicTerminal
`myColorizer`

Fields inherited from interface com.sshtools.daemon.terminal.Terminal
`A, B, BS, C, CAN, D, DEL, E, EOT, ESC, f, FF, H, HT, LE, LSB, r, SE, SEMICOLON, SGR`

Constructor Summary
`ansi()`

Method Summary
`java.lang.String` | `getName()` DOCUMENT ME!
`boolean` | `supportsScrolling()` DOCUMENT ME!
`boolean` | `supportsSGR()` DOCUMENT ME!

Methods inherited from class com.sshtools.daemon.terminal.BasicTerminal
`format, getAtomicSequenceLength, getCursorMoveSequence, getCursorPositioningSequence, getEraseSequence, getGRSequence, getInitSequence, getScrollMarginsSequence, getSpecialSequence, translateControlCharacter, translateEscapeSequence, translateIntToDigitCodes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ansi

    public ansi()

Method Detail

### supportsSGR

    public boolean supportsSGR()

  DOCUMENT ME!

  Specified by:
    `supportsSGR` in interface `Terminal`
  Specified by:
    `supportsSGR` in class `BasicTerminal`
  Returns:
    DOCUMENT ME!

### supportsScrolling

    public boolean supportsScrolling()

  Description copied from class: `BasicTerminal`
  DOCUMENT ME!

  Specified by:
    `supportsScrolling` in interface `Terminal`
  Specified by:
    `supportsScrolling` in class `BasicTerminal`
  Returns:
    DOCUMENT ME!

### getName

    public java.lang.String getName()

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD